# Interface RawReturnDecoding

This type represents a decoding of the return data as a raw bytestring (as might be returned from a fallback function).

#### Category

Output

#### Hierarchy

- RawReturnDecoding

- Defined in codec/lib/types.ts:419

#####
Index

### Properties

data
decodingMode
interpretations
kind
status

## Properties

### data

data: string

The returned bytestring, as a hex string.

- Defined in codec/lib/types.ts:431

### decodingMode

decodingMode: DecodingMode

The decoding mode that was used; see the README for more on these.

- Defined in codec/lib/types.ts:436

### interpretations

interpretations: {}

Further information about how the decoding may be interpreted. Note that interpretations may be added by things that use @truffle/codec, such as @truffle/decoder, rather than by @truffle/codec itself. See individual interpretations for details. (Currently there are none for this type.)

#### Type declaration

- Defined in codec/lib/types.ts:443

### kind

kind: "returnmessage"

The kind of decoding; indicates that this is a RawReturnDecoding.

- Defined in codec/lib/types.ts:423

### status

status: true

Indicates that this kind of decoding indicates a successful return.

- Defined in codec/lib/types.ts:427

Generated using TypeDoc